<?php
$output = $font_color = $el_class = $width = $offset = '';
extract(shortcode_atts(array(
	'font_color'            => '',
  'el_class'              => '',
  'width'                 => '1/1',
  'css'                   => '',
	'offset'                => '',

  /* Animation */
  'column_animation'      => '',

  /* Border */
  'column_border_style'   => '',
  'column_border_color'   => '',
  'column_border_width'   => '',

  /* Margin */
  'column_margin_top'     => '',
  'column_margin_bottom'  => '',
  'column_margin_left'    => '',
  'column_margin_right'   => '',

  /* Padding */
  'column_padding_top'    => '',
  'column_padding_bottom' => '',
  'column_padding_left'   => '',
  'column_padding_right'  => '',
), $atts));

/* Animation */
if($column_animation === 'none') {
  $column_animation = '';
} else {
  $column_animation = ' '. $column_animation .' ';
}

/* Border */
if($column_border_width) {
  $column_border_width = 'border-style:'. $column_border_style .';border-width:'. $column_border_width .';border-color:'. $column_border_color .';';
}

/* Margins */
if($column_margin_top) {
  $column_margin_top = 'margin-top:'. $column_margin_top .';';
}
if($column_margin_bottom) {
  $column_margin_bottom = 'margin-bottom:'. $column_margin_bottom .';';
}
if($column_margin_left) {
  $column_margin_left = 'margin-left:'. $column_margin_left .';';
}
if($column_margin_right) {
  $column_margin_right = 'margin-right:'. $column_margin_right .';';
}

/* Paddings */
if($column_padding_top) {
  $column_padding_top = 'padding-top:'. $column_padding_top .';';
}
if($column_padding_bottom) {
  $column_padding_bottom = 'padding-bottom:'. $column_padding_bottom .';';
}
if($column_padding_left) {
  $column_padding_left = 'padding-left:'. $column_padding_left .';';
}
if($column_padding_right) {
  $column_padding_right = 'padding-right:'. $column_padding_right .';';
}

$el_class = $this->getExtraClass($el_class);
$width = wpb_translateColumnWidthToSpan($width);
$width = vc_column_offset_class_merge($offset, $width);
$el_class .= ' wpb_column vc_column_container';

$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $width . $el_class . vc_shortcode_custom_css_class( $css, ' ' ), $this->settings['base'], $atts );
$output .= "\n\t".'<div class="'. $css_class . $column_animation .'">';
$output .= '<div style="'. $column_border_width . $column_margin_top . $column_margin_bottom . $column_margin_left . $column_margin_right . $column_padding_top . $column_padding_bottom . $column_padding_left . $column_padding_right .'">';
$output .= "\n\t\t".'<div class="wpb_wrapper">';
$output .= "\n\t\t\t".wpb_js_remove_wpautop($content);
$output .= "\n\t\t".'</div> '.$this->endBlockComment('.wpb_wrapper');
$output .= '</div>';
$output .= "\n\t".'</div> '.$this->endBlockComment($el_class) . "\n";

echo $output;